.tablist-container {
  container-type: inline-size;
  container-name: tablist;
}

.tablist-container [role="tablist"] {
  display: flex;
  flex-wrap: wrap;
}

.tablist-container [role="tablist"] [role="tab"] {
  border: 2px solid #ccc;
  border-right: 0;
  background-color: transparent;
  position: relative;
  top: 2px;
  z-index: 2;
  outline: none;
  font-weight: bold;
  min-height: 2.75rem;
  flex: 1 0 25%;
  text-wrap: balance;
}

.tablist-container [role="tablist"] [role="tab"]:last-child,
.tablist-container [role="tablist"] [role="tab"]:nth-child(4) {
  border-right: 2px solid #ccc;
}

.tablist-container [role="tablist"] [role="tab"] span.focus {
  padding: 2px 4px;
  margin: 2px;
}

.tablist-container [role="tablist"] [role="tab"]:focus span.focus,
.tablist-container [role="tablist"] [role="tab"]:hover span.focus,
.tablist-container [role="tablist"] [role="tab"]:active span.focus {
  outline: 2px solid #000;
  border-radius: 5px;
}

.tablist-container [role="tablist"] [role="tab"][aria-selected="false"] {
  border-bottom: 0;
}

.tablist-container [role="tablist"] [role="tab"][aria-selected="true"] {
  border-bottom-width: 6px;
  border-bottom-color: #1757b1;
  /*  padding: .5rem .5rem .5rem;*/
  /*  margin-top: -6px;*/
}

.tablist-panel-container {
  position: relative;
}

.tablist-panel-container [role="tabpanel"] {
  border: 2px solid #ccc;
  width: 100%;
  padding: 1rem;
}

.tablist-panel-container [role="tabpanel"].is-hidden {
  display: none;
}

@container tablist (max-width: 650px) {
  .tablist-container [role="tablist"] [role="tab"] {
    flex-basis: 50%;
  }

  .tablist-container [role="tablist"] [role="tab"]:nth-child(even) {
    border-right: 2px solid #ccc;
  }
}

@container tablist (max-width: 450px) {
  .tablist-container [role="tablist"] [role="tab"] {
    flex-basis: 100%;
  }

  .tablist-container [role="tablist"] [role="tab"] {
    border-right: 2px solid #ccc;
  }
}